Bug 508187 - Spacewalk Breaks jabberd Configs on x86_64
Spacewalk Breaks jabberd Configs on x86_64
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Installation (Show other bugs)
0.5
All Linux
low Severity medium
: ---
: ---
Assigned To: Devan Goodwin
Red Hat Satellite QA List
:
Depends On:
Blocks: space06
  Show dependency treegraph
 
Reported: 2009-06-25 18:59 EDT by Jonathan Steffan
Modified: 2009-09-10 08:06 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 08:06:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Steffan 2009-06-25 18:59:40 EDT
Description of problem:
At some point, spacewalk clobbers jabberd's configuration files on x86_64. To get things to work:

sed -i 's/<path>\/usr\/lib\/jabberd<\/path>/<path>\/usr\/lib64\/jabberd<\/path>/g' /etc/jabberd/*.xml


Version-Release number of selected component (if applicable):
spacewalk-0.5.4-1.el5

How reproducible:
Always

Steps to Reproduce:
1. Install.
2. Try to use/run jabberd services.
  
Actual results:
Things don't work.

Expected results:
Things work.

Additional info:

Closing https://fedorahosted.org/spacewalk/ticket/6 in favour of BZ.
Comment 1 Jan Pazdziora 2009-06-26 03:08:28 EDT
Dennis, as you have worked on the jabberd configs, please take a look at this bug report. Thanks, Jan
Comment 2 Devan Goodwin 2009-07-23 10:48:31 EDT
We copy our own jabberd configs over the default ones from /etc/sysconfig/rhn-satellite-prep/, these files do contain some macros replaced during spacewalk-setup, so I will add another for the lib directory and swap in whichever exists in the system, /usr/lib64/jabberd/ or /usr/lib/jabberd.
Comment 3 Devan Goodwin 2009-07-23 12:20:41 EDT
Fixed in spacewalk: 4b2827e870092406211fa3b2d6a667c9f050775c
Comment 4 Miroslav Suchý 2009-09-10 08:06:21 EDT
Spacewalk 0.6 released

Note You need to log in before you can comment on or make changes to this bug.